This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1258618 - rgw: COPYing an old object onto itself produces a truncated object
rgw: COPYing an old object onto itself produces a truncated object
Status: CLOSED ERRATA
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW (Show other bugs)
1.3.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 1.3.1
Assigned To: Yehuda Sadeh
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 15:16 EDT by Yehuda Sadeh
Modified: 2017-07-30 11:55 EDT (History)
11 users (show)

See Also:
Fixed In Version: ceph-0.94.2-9.el7cp
Doc Type: Bug Fix
Doc Text:
Under certain circumstances, copying an object onto itself (for example, to change its metadata) produced a truncated object. The truncated object had correct metadata, including the original size, but the underlying RADOS object was smaller. Consequently, when a client attempted to fetch the object, it received less data than indicated by the Content-Length header, blocked for more, and eventually timed out. This bug has been fixed, and the object can now be read successfully in the aforementioned scenario.
Story Points: ---
Clone Of: 1258617
Environment:
Last Closed: 2015-11-23 15:22:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 11455 None None None Never

  None (edit)
Comment 8 shilpa 2015-11-06 02:01:45 EST
Verified on 1.3.1 ceph-0.94.3-3.el7cp.x86_64. 

#swift -A http://10.x.x.x:80/auth/v1.0 -U testuser:swift -K "6eqFUJPZDhbAqa+ijMyZX0N0c+YRTcAy1QCrgS6K" upload new-bucket test

-rw-r--r--.  1 root root 104857600 Nov 4 01:28 test

# curl -i -X PUT  -H "X-Auth-Token: AUTH_rgwtk0e00000074657374757365723a7377696674ad613689dc3355fbc39a3d56fd36791d2380316f740f86af29fba44f4d0b8fffda9af1c1" http://10.x.x.x:7480/swift/v1/new-bucket/test -H "X-Copy-From: /new-bucket/test"
HTTP/1.1 201 Created
etag: 2f282b84e7e608d5852449ed940bfc51
Last-Modified: Fri, 06 Nov 2015 06:36:44 GMT
X-Copied-From: new-bucket/test
X-Copied-From-Account: testuser
X-Copied-From-Last-Modified: Fri, 06 Nov 2015 06:36:38 GMT
X-Object-Meta-mtime: 1446618509.281961
Content-type: binary/octet-stream
Content-Length: 0
Date: Fri, 06 Nov 2015 06:36:44 GMT

# swift -A http://10.x.x.x:7480/auth/v1.0 -U testuser:swift -K "6eqFUJPZDhbAqa+ijMyZX0N0c+YRTcAy1QCrgS6K" download new-bucket test
data [auth 0.012s, headers 0.021s, total 0.946s, 112.205 MB/s]

-rw-r--r--.  1 root root 104857600 Nov 4 01:28 test
Comment 10 errata-xmlrpc 2015-11-23 15:22:20 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2512
Comment 11 Siddharth Sharma 2015-11-23 16:53:48 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2066

Note You need to log in before you can comment on or make changes to this bug.